This command is intended for performing ioctl-calls for configuring hardware or similar purposes (setting port-addresses, loading firmware etc.) For this purpose, in the LL all ioctl-calls with an argument >= IIOCDRVCTL (0x100) will be handed transparently to this function after subtracting 0x100 and placing the result in arg.

Example:
If a userlevel-program calls ioctl(0x101,...) the function gets called with the field command set to 1.

Parameter:

driver | driver-Id.
command | ISDN_CMD_IOCTL
arg | Original ioctl-cmd - IIOCDRVCTL
para.num | first bytes filled with (unsigned long)arg

Returnvalue:

Depending on driver.